#' get unit free data frame
#' @param df data frame
#' @param unit get unit information or not
#' @importFrom dplyr rename_all
#' @export
#'
get_ufreedf <- function (df, unit = F) {
    df.out <- df %>%
        dplyr::rename_all(~gsub("_[^_]*$", "", .))
    if (isTRUE(unit)) {
        unitstr <- gsub("^[^_]*$", "", colnames(df)) %>%
            gsub("^.*_([^_]*)$", "\\1", .)
        return(list(df = df.out, unit = unitstr))
    }
    return(df.out)
}
