#' get unit code from variable code
#'
#' @param vcode variable code, such as temp
#'
#' @importFrom dplyr pull
#' @export
#'
#' @return ucode unit code
#'
uc <- function (vcode) {
    if (missing(vcode)) {
        stop("! `vcode` (variable code) should be provided!")
    }
    ucstr <- v(vcode = vcode, outdf = T) %>%
        dplyr::pull(ucode)
    return(ucstr)
}
